Page MenuHomePhabricator

Create Wiktionary Bikol
Closed, ResolvedPublic

Description

The language committee has approved the creation of Wiktionary Bikol.

  • Shard: s5
  • Local file uploads: disabled

Thank you.


Pre-install automatic checklist:

The Wiki is ready to be created.


Post install automatic checklist:


Step by step commands:
On deploy1001:
cd /srv/mediawiki-staging/
git fetch
git log -p HEAD..@{u}
git rebase
On mwmaint1002:
scap pull
mwscript extensions/WikimediaMaintenance/addWiki.php --wiki=mhwiktionary bcl wiktionary bclwiktionary bcl.wiktionary.org
mwscript extensions/CirrusSearch/maintenance/UpdateSearchIndexConfig.php --wiki=bclwiktionary --cluster=all
On deploy1001:
scap sync-file wmf-config/db-eqiad.php "Creating bclwiktionary (T270274)"
scap sync-file wmf-config/db-codfw.php "Creating bclwiktionary (T270274)"
scap sync-file dblists "Creating bclwiktionary (T270274)"
scap sync-wikiversions "Creating bclwiktionary (T270274)"
scap sync-file static/images/project-logos/ "Creating bclwiktionary (T270274)"
scap sync-file wmf-config/InitialiseSettings.php "Creating bclwiktionary (T270274)"
scap sync-file langlist "Creating bclwiktionary (T270274)"
scap update-interwiki-cache

End of automatic output

Event Timeline

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptDec 16 2020, 12:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

We can create it early 2021, I hope that's fine for you.

Change 649870 had a related patch set uploaded (by Gerrit maintenance bot; owner: Gerrit maintenance bot):
[mediawiki/extensions/WikimediaMessages@master] Add messages for Central Bikol Wiktionary (bclwiktionary)

https://gerrit.wikimedia.org/r/649870

Change 649871 had a related patch set uploaded (by Gerrit maintenance bot; owner: Gerrit maintenance bot):
[analytics/refinery@master] Add bcl.wiktionary to pageview whitelist

https://gerrit.wikimedia.org/r/649871

We can create it early 2021, I hope that's fine for you.

Of course; at least 2 more approvals will come up in the next days.

Change 649870 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add messages for Central Bikol Wiktionary (bclwiktionary)

https://gerrit.wikimedia.org/r/649870

Change 649871 merged by Joal:
[analytics/refinery@master] Add bcl.wiktionary to pageview whitelist

https://gerrit.wikimedia.org/r/649871

Urbanecm triaged this task as Low priority.Dec 18 2020, 5:46 PM
Urbanecm added a subscriber: Urbanecm.

Hello everyone, since we entered the annual "no deploy" period, this wiki will be probably created in January 2021. Happy holidays everyone!

Urbanecm moved this task from Backlog to Wikis to do on the User-Urbanecm board.Dec 18 2020, 11:34 PM
Exec8 added a subscriber: Exec8.Sat, Dec 26, 6:24 AM
Exec8 added a comment.Tue, Jan 5, 4:31 PM

I hope it will be ready on January 15 to coincide with the en wiki anniversary.

Change 655444 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for bclwiktionary

https://gerrit.wikimedia.org/r/655444

Change 655444 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for bclwiktionary

https://gerrit.wikimedia.org/r/655444

Mentioned in SAL (#wikimedia-operations) [2021-01-11T16:26:23Z] <urbanecm@deploy1001> Synchronized wmf-config/db-eqiad.php: Creating bclwiktionary (T270274) (duration: 00m 54s)

Mentioned in SAL (#wikimedia-operations) [2021-01-11T16:29:18Z] <urbanecm@deploy1001> Synchronized wmf-config/db-codfw.php: Creating bclwiktionary (T270274) (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2021-01-11T16:30:24Z] <urbanecm@deploy1001> Synchronized dblists: Creating bclwiktionary (T270274) (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2021-01-11T16:32:12Z] <urbanecm@deploy1001> rebuilt and synchronized wikiversions files: Creating bclwiktionary (T270274)

Mentioned in SAL (#wikimedia-operations) [2021-01-11T16:33:20Z] <urbanecm@deploy1001> Synchronized static/images/project-logos/: Creating bclwiktionary (T270274) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2021-01-11T16:34:23Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Creating bclwiktionary (T270274) (duration: 00m 56s)

Urbanecm closed this task as Resolved.Mon, Jan 11, 4:49 PM
Urbanecm claimed this task.

Wiki was created, enjoy :).

MF-Warburg updated the task description. (Show Details)Mon, Jan 11, 10:20 PM

In behalf of the bclwiktionary community, thank you everyone for helping us out on this wiki project.